Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\ContentType;
8
9 use eZ\Publish\API\Repository\Values\ValueObject;
10
14 class FieldDefinitionCreateStruct extends ValueObject
15 {
23 public $fieldTypeIdentifier;
24
34 public $identifier;
35
41 public $names;
42
48 public $descriptions;
49
55 public $fieldGroup;
56
63 public $position;
64
70 public $isTranslatable;
71
77 public $isRequired;
78
84 public $isInfoCollector;
85
91 public $validatorConfiguration;
92
98 public $fieldSettings;
99
105 public $defaultValue;
106
112 public $isSearchable;
113 }
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct
this class is used to create a field definition.
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:15
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct\$fieldGroup
$fieldGroup
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:55
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct\$identifier
$identifier
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:34
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct\$isTranslatable
$isTranslatable
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:70
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct\$isInfoCollector
$isInfoCollector
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:84
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct\$validatorConfiguration
$validatorConfiguration
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:91
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct\$names
$names
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:41
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct\$isRequired
$isRequired
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:77
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct\$isSearchable
$isSearchable
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:112
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct\$defaultValue
$defaultValue
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:105
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct\$position
$position
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:63
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct\$fieldSettings
$fieldSettings
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:98
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct\$fieldTypeIdentifier
$fieldTypeIdentifier
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:23
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct\$descriptions
$descriptions
Definition: API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php:48
eZ\Publish\API\Repository\Values\ValueObject
Definition: API/Repository/Values/ValueObject.php:21
eZ\Publish\API\Repository\Values\ContentType
Definition: API/Repository/Values/ContentType/ContentType.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.